FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2018 PLD Team
$Revision: 1.37 $
Powered by /dev/zero.
Your IP: 54.226.33.117

apcupsd ab42ad19-4594-4ba7-b4fe-e57426e56ced

Status:Failed
Source URL:ftp://buildlogs.pld-linux.org/ac/amd64/FAIL/apcupsd,ab42ad19-4594-4ba7-b4fe-e57426e56ced.bz2
text/plain URL:View!
full text:View!
rpm -qa of builder:View!
Date:2011/10/18 20:28:01
Runtime:0:00:01.280478

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • prep
  • Executing(%prep): env -i PATH=/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/home/services/builder/bin HOME=/home/services/builder TMPDIR=/tmp/B.f8c5a8 /bin/sh -e /tmp/B.f8c5a8/rpm-tmp.29379
  • build
  • Executing(%build): env -i PATH=/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/home/services/builder/bin HOME=/home/services/builder TMPDIR=/tmp/B.f8c5a8 /bin/sh -e /tmp/B.f8c5a8/rpm-tmp.15668
  • error 3
  • configure: error: in `/home/services/builder/rpm/BUILD/apcupsd-3.14.10':
  • error 4
  • configure: error: C++ compiler cannot create executables
  • error 5
  • error: Bad exit status from /tmp/B.f8c5a8/rpm-tmp.15668 (%build)
  • error 6
  • RPM build errors:
  • error 7
  • error: No files produced.

Content:

checking if we should skip the build
started at: Tue Oct 18 20:27:38 2011
fetching http://ep09.pld-linux.org/~buildsrc/srpms/ab42ad19-4594-4ba7-b4fe-e57426e56ced/apcupsd-3.14.10-1.src.rpm
fetched 1349887 bytes, 1532.8 K/s
installing srpm: apcupsd-3.14.10-1.src.rpm
apcupsd                     ##################################################
Building target platforms: amd64-pld-linux
checking BuildConflict-ing packages
no BuildConflicts found
checking BR
rpm: error: Failed build dependencies:
rpm: 	GConf2-devel >= 2.0 is needed by apcupsd-3.14.10-1.src
updating poldek cache...

Retrieving ac-i686-main::packages.ndir.md...
ac-i686-main is up to date

Retrieving ac-i686-updates::packages.ndir.md...
ac-i686-updates is up to date

Retrieving ac-main::packages.ndir.md...
ac-main is up to date

Retrieving ac-updates::packages.ndir.md...
ac-updates is up to date

Retrieving okas::packages.ndir.md...
okas is up to date
checking conflicting packages in BRed packages
poldek: Loading [pndir]okas...
poldek: Loading [dir]ready...
poldek: 200..400..600..800..1000..1200..1400..1600..1800..1961
poldek: Loading [pndir]ac-main...
poldek: Loading [pndir]ac-updates...
poldek: 21261 packages read
poldek: Removed 6124 duplicate packages from available set
poldek: Processing dependencies...
poldek: GConf2-devel-2.14.0-6.amd64 marks ORBit2-devel-2.14.2-1.amd64 (cap ORBit2-devel >= 1:2.14.0)
poldek:  ORBit2-devel-2.14.2-1.amd64 marks indent-2.2.9-6.amd64 (cap indent)
poldek:  ORBit2-devel-2.14.2-1.amd64 marks libIDL-devel-0.8.7-1.amd64 (cap libIDL-devel >= 0.8.5)
poldek: GConf2-devel-2.14.0-6.amd64 marks gtk-doc-common-1.8-1.noarch (cap gtk-doc-common)
poldek: There are 5 packages to install (4 marked by dependencies):
poldek: I GConf2-devel-2.14.0-6.amd64
poldek: D ORBit2-devel-2.14.2-1.amd64  gtk-doc-common-1.8-1.noarch
poldek: D indent-2.2.9-6.amd64  libIDL-devel-0.8.7-1.amd64
poldek: This operation will use 2.2MB of disk space.
poldek: Need to get 437.7KB of archives (437.7KB to download).
poldek: 
poldek: Retrieving [1/5] ac-main::indent-2.2.9-6.amd64.rpm...
poldek: ..............................done
poldek: Retrieving [2/5] ac-main::libIDL-devel-0.8.7-1.amd64.rpm...
poldek: ..............................done
poldek: Retrieving [3/5] ac-main::ORBit2-devel-2.14.2-1.amd64.rpm...
poldek: ..............................done
poldek: Retrieving [4/5] ac-main::gtk-doc-common-1.8-1.noarch.rpm...
poldek: ..............................done
poldek: Retrieving [5/5] ac-updates::GConf2-devel-2.14.0-6.amd64.rpm...
poldek: ..............................done
poldek: Executing rpm --upgrade -vh --test --root /...
poldek: Preparing...                ##################################################
no conflicts found
checking BR
rpm: error: Failed build dependencies:
rpm: 	GConf2-devel >= 2.0 is needed by apcupsd-3.14.10-1.src
installing BR: GConf2\-devel
Loading [pndir]okas...
Loading [dir]ready...
200..400..600..800..1000..1200..1400..1600..1800..1961
Loading [pndir]ac-main...
Loading [pndir]ac-updates...
21261 packages read
Removed 6124 duplicate packages from available set
Processing dependencies...
GConf2-devel-2.14.0-6.amd64 marks ORBit2-devel-2.14.2-1.amd64 (cap ORBit2-devel >= 1:2.14.0)
 ORBit2-devel-2.14.2-1.amd64 marks indent-2.2.9-6.amd64 (cap indent)
 ORBit2-devel-2.14.2-1.amd64 marks libIDL-devel-0.8.7-1.amd64 (cap libIDL-devel >= 0.8.5)
GConf2-devel-2.14.0-6.amd64 marks gtk-doc-common-1.8-1.noarch (cap gtk-doc-common)
There are 5 packages to install (4 marked by dependencies):
I GConf2-devel-2.14.0-6.amd64
D ORBit2-devel-2.14.2-1.amd64  gtk-doc-common-1.8-1.noarch  
D indent-2.2.9-6.amd64  libIDL-devel-0.8.7-1.amd64
This operation will use 2.2MB of disk space.
Need to get 437.7KB of archives. 
Executing rpm --upgrade -vh --root /...
Preparing...                ##################################################
indent                      ##################################################
gtk-doc-common              ##################################################
libIDL-devel                ##################################################
ORBit2-devel                ##################################################
GConf2-devel                ##################################################
building RPM using: echo build-id: ab42ad19-4594-4ba7-b4fe-e57426e56ced; cd rpm/SPECS; TMPDIR=/tmp/B.f8c5a8 exec nice -n 19 rpmbuild -bb --define '_smp_mflags -j4'  --target amd64-pld-linux   apcupsd.spec
build-id: ab42ad19-4594-4ba7-b4fe-e57426e56ced
Building target platforms: amd64-pld-linux
Executing(%prep):  env -i PATH=/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/home/services/builder/bin HOME=/home/services/builder TMPDIR=/tmp/B.f8c5a8  /bin/sh -e /tmp/B.f8c5a8/rpm-tmp.29379
+ umask 022
+ cd /home/services/builder/rpm/BUILD
+ cd /home/services/builder/rpm/BUILD
+ rm -rf apcupsd-3.14.10
+ /bin/gzip -dc /home/services/builder/rpm/SOURCES/apcupsd-3.14.10.tar.gz
+ tar -xf -
+ STATUS=0
+ [ 0 -ne 0 ]
+ cd apcupsd-3.14.10
+ /bin/id -u
+ [ 182 = 0 ]
+ true .
+ /bin/chmod -Rf -Rf a+rX,u+w,g-w,o-w .
+ echo Patch #0 (apcupsd-configure.patch):
Patch #0 (apcupsd-configure.patch):
+ patch -p1 -s
+ < /home/services/builder/rpm/SOURCES/apcupsd-configure.patch 
+ echo Patch #1 (apcupsd-pcnet-seconds.patch):
Patch #1 (apcupsd-pcnet-seconds.patch):
+ patch -p1 -s
+ < /home/services/builder/rpm/SOURCES/apcupsd-pcnet-seconds.patch 
+ install autoconf/configure.in .
+ install autoconf/aclocal.m4 .
+ install autoconf/config.h.in .
+ cp -f /usr/share/automake/config.sub autoconf
+ exit 0
Executing(%build):  env -i PATH=/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/home/services/builder/bin HOME=/home/services/builder TMPDIR=/tmp/B.f8c5a8  /bin/sh -e /tmp/B.f8c5a8/rpm-tmp.15668
+ umask 022
+ cd /home/services/builder/rpm/BUILD
+ cd apcupsd-3.14.10
+ autoconf
+ ./configure LDFLAGS=-Wl,--as-needed  CFLAGS=-O2  CXXFLAGS=-O2  FFLAGS=-O2  FCFLAGS=-O2  CPPFLAGS= CC=amd64-pld-linux-gcc CXX=amd64-pld-linux-g++ --host=amd64-pld-linux --build=amd64-pld-linux --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc/apcupsd --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/lib64 --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --x-libraries=/usr/X11R6/lib64 APCUPSD_MAIL=/bin/mail SHUTDOWN=/sbin/shutdown WALL=/usr/bin/wall --with-log-dir=/var/log --with-stat-dir=/var/lib/apcupsd --enable-cgi --with-cgi-bin=/home/services/httpd/cgi-bin --enable-test --enable-net --enable-gapcmon --enable-usb
checking for true... /bin/true
checking for false... /bin/false
checking build system type... x86_64-pld-linux-gnu
checking host system type... x86_64-pld-linux-gnu
checking for C++ compiler default output file name... 
configure: error: in `/home/services/builder/rpm/BUILD/apcupsd-3.14.10':
configure: error: C++ compiler cannot create executables
See `config.log' for more details.
error: Bad exit status from /tmp/B.f8c5a8/rpm-tmp.15668 (%build)


RPM build errors:
    Bad exit status from /tmp/B.f8c5a8/rpm-tmp.15668 (%build)
ended at: Tue Oct 18 20:28:01 2011, done in 0:00:01.280478
error: No files produced.
Begin-PLD-Builder-Info
Build-Time: user:13.62s sys:2.13s real:22.71s (faults io:1 non-io:540360)

End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]